Update Webhook
curl --request PUT \
--url https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId} \
--header 'Content-Type: application/json' \
--header 'key: <key>' \
--header 'secret: <secret>' \
--data '
{
"name": "<string>",
"useBasicAuth": true,
"username": "<string>",
"password": "<string>",
"webhookURL": "<string>",
"retryOnFailure": false,
"enabled": true
}
'import requests
url = "https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}"
payload = {
"name": "<string>",
"useBasicAuth": True,
"username": "<string>",
"password": "<string>",
"webhookURL": "<string>",
"retryOnFailure": False,
"enabled": True
}
headers = {
"key": "<key>",
"secret": "<secret>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {key: '<key>', secret: '<secret>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
useBasicAuth: true,
username: '<string>',
password: '<string>',
webhookURL: '<string>',
retryOnFailure: false,
enabled: true
})
};
fetch('https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'useBasicAuth' => true,
'username' => '<string>',
'password' => '<string>',
'webhookURL' => '<string>',
'retryOnFailure' => false,
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"key: <key>",
"secret: <secret>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"useBasicAuth\": true,\n \"username\": \"<string>\",\n \"password\": \"<string>\",\n \"webhookURL\": \"<string>\",\n \"retryOnFailure\": false,\n \"enabled\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("key", "<key>")
req.Header.Add("secret", "<secret>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}")
.header("key", "<key>")
.header("secret", "<secret>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"useBasicAuth\": true,\n \"username\": \"<string>\",\n \"password\": \"<string>\",\n \"webhookURL\": \"<string>\",\n \"retryOnFailure\": false,\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["key"] = '<key>'
request["secret"] = '<secret>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"useBasicAuth\": true,\n \"username\": \"<string>\",\n \"password\": \"<string>\",\n \"webhookURL\": \"<string>\",\n \"retryOnFailure\": false,\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"data": {
"id": "test_webhook201",
"name": "updated webhook",
"webhookURL": "https://example.com/test",
"createdAt": 1684141151,
"updatedAt": 1684145021
}
}
]
}Webhooks
Update Webhook
Updates webhook details of an app.
PUT
/
apps
/
{appId}
/
webhooks
/
{webhookId}
Update Webhook
curl --request PUT \
--url https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId} \
--header 'Content-Type: application/json' \
--header 'key: <key>' \
--header 'secret: <secret>' \
--data '
{
"name": "<string>",
"useBasicAuth": true,
"username": "<string>",
"password": "<string>",
"webhookURL": "<string>",
"retryOnFailure": false,
"enabled": true
}
'import requests
url = "https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}"
payload = {
"name": "<string>",
"useBasicAuth": True,
"username": "<string>",
"password": "<string>",
"webhookURL": "<string>",
"retryOnFailure": False,
"enabled": True
}
headers = {
"key": "<key>",
"secret": "<secret>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {key: '<key>', secret: '<secret>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
useBasicAuth: true,
username: '<string>',
password: '<string>',
webhookURL: '<string>',
retryOnFailure: false,
enabled: true
})
};
fetch('https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'useBasicAuth' => true,
'username' => '<string>',
'password' => '<string>',
'webhookURL' => '<string>',
'retryOnFailure' => false,
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"key: <key>",
"secret: <secret>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"useBasicAuth\": true,\n \"username\": \"<string>\",\n \"password\": \"<string>\",\n \"webhookURL\": \"<string>\",\n \"retryOnFailure\": false,\n \"enabled\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("key", "<key>")
req.Header.Add("secret", "<secret>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}")
.header("key", "<key>")
.header("secret", "<secret>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"useBasicAuth\": true,\n \"username\": \"<string>\",\n \"password\": \"<string>\",\n \"webhookURL\": \"<string>\",\n \"retryOnFailure\": false,\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["key"] = '<key>'
request["secret"] = '<secret>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"useBasicAuth\": true,\n \"username\": \"<string>\",\n \"password\": \"<string>\",\n \"webhookURL\": \"<string>\",\n \"retryOnFailure\": false,\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"data": {
"id": "test_webhook201",
"name": "updated webhook",
"webhookURL": "https://example.com/test",
"createdAt": 1684141151,
"updatedAt": 1684145021
}
}
]
}Headers
The "X-Webhook-Version" header is an optional integer property.When this header is omitted from the request, the system defaults to the legacy webhook, ensuring backward compatibility and seamless operation.Conversely, setting the value of this header to "2" indicates the preference for the new webhook implementation.
Path Parameters
Body
application/json